PUT /api/v202406/esaplace/{placeId}/placeSize

Manages the version history for a single ESA place. This endpoint handles Creating, Editing, and Deleting place sizes for ESA places in bulk.

EditEsaPlaceSizeHistoryV202406 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId integer (int32) Required

Request Body

EditEsaPlaceSizesRequest
Property Description Type
calculateArea Required (defined) boolean
placeSizes Must be null when CalculateArea is set to True, case sensitive Required (defined) EsaPlaceSizeCreate[]
EsaPlaceSizeCreate properties
Property Description Type
beginDate The begin date for the place size Required string (date-time)
unitCode

The place size's unit code

Options are: SQFEET for Square Feet, SQMETER for Square Meters, HECTARE, SQKILOMETER for Square Kilometers, SQMILE for Square Miles, SQYARD for Square Yards, and ACRE.

One of 'SQFEET', 'SQMETER', 'HECTARE', 'SQKILOMETER', 'SQMILE', 'SQYARD', 'ACRE' Case sensitive Must be between 0 and 16 characters Required (defined)
string
value The place size value Required Must be between 0 and 2147483647 integer (int32)
Example Request Body application/json
{  "calculateArea": false,  "placeSizes": [
    {    "beginDate": "2026-03-30",    "unitCode": "string",    "value": 1
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceSizeChild
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
Example Response application/json
[
  {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  }
]